declare namespace AMap {
  namespace MapType {
    interface Options {
      defaultType?: number
      showTraffic?: boolean
      showRoad?: boolean
    }
  }

  interface MapType extends Control {
    new (options?: MapType.Options): MapType

    show(): void
    hide(): void
  }
}
